Skip to main content
GET
/
automation
/
v2
/
workflows
/
enrollments
/
contacts
/
{vid}
Get current enrollment
curl --request GET \
  --url https://api.hubapi.com/automation/v2/workflows/enrollments/contacts/{vid}
import requests

url = "https://api.hubapi.com/automation/v2/workflows/enrollments/contacts/{vid}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.hubapi.com/automation/v2/workflows/enrollments/contacts/{vid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 406048,
  "portalId": 62515,
  "insertedAt": 1410279567999,
  "updatedAt": 1438211556173,
  "name": "Test",
  "triggers": [],
  "steps": [
    {
      "emailActions": [
        {
          "base": {
            "type": "EMAIL",
            "name": "Follow Up",
            "id": 668311
          },
          "emailCampaignId": 10329957,
          "emailContentId": 311698603,
          "emailCampaignGroupId": 0
        }
      ],
      "id": 620991,
      "setContactPropertyActions": [],
      "salesForceActions": [],
      "listActions": [],
      "delayMillis": 172800000,
      "addSubtractPropertyActions": [],
      "copyPropertyActions": [],
      "webHookActions": [],
      "notificationActions": [],
      "smsNotificationActions": [],
      "anchorSetting": {
        "boundary": "AFTER",
        "execTimeOfDay": "12:00 PM"
      },
      "listId": 129,
      "createSfdcTaskActions": [],
      "setCompanyPropertyActions": [],
      "dateStampPropertyActions": [],
      "campaignMembershipActions": [],
      "copyCompanyPropertyActions": [],
      "workflowEnrollmentActions": [],
      "incrementCompanyPropertyActions": [],
      "dealActions": [],
      "taskActions": [],
      "leadAssignmentActions": [],
      "addContactEnumOptionActions": [],
      "addCompanyEnumOptionActions": []
    }
  ],
  "allowContactToTriggerMultipleTimes": false,
  "onlyExecOnBizDays": false,
  "enabled": true,
  "triggerSet": [],
  "nurtureTimeRange": {
    "enabled": false,
    "startHour": 9,
    "stopHour": 10
  },
  "legacyMigration": false,
  "legacyCampaignId": 0,
  "unenrollmentSetting": {
    "type": "NONE",
    "excludedWorkflows": []
  },
  "goalList": {
    "excludedListIds": []
  },
  "type": "DRIP_DELAY",
  "eventAnchor": {
    "staticDateAnchor": "",
    "contactPropertyAnchor": ""
  },
  "contactLists": {
    "enrolledListId": 124,
    "completedListId": 126,
    "succeededListId": 127,
    "failedListId": 128,
    "activeListId": 125
  },
  "recurringSetting": {
    "type": "NONE"
  },
  "isSegmentBased": true,
  "reEnrollmentTriggerSet": [],
  "goalCriteriaEnabled": true
}

Path Parameters

vid
integer
required

Response

Enrollment list

The response is of type object.

Last modified on March 16, 2026